symbol.c File Reference
Include dependency graph for symbol.c:

## Functions

MSymbol | msymbol (const char *name)
| Get a symbol. More...
MSymbol | msymbol_as_managing_key (const char *name)
| Create a managing key. More...
int | msymbol_is_managing_key (MSymbol symbol)
| Check if a symbol is a managing key. More...
MSymbol | msymbol_exist (const char *name)
char * | msymbol_name (MSymbol symbol)
int | msymbol_put (MSymbol symbol, MSymbol key, void *val)
| Set the value of a symbol property. More...
void * | msymbol_get (MSymbol symbol, MSymbol key)
| Get the value of a symbol property. More...
int | msymbol_put_func (MSymbol symbol, MSymbol key, M17NFunc func)
| Set the value (function pointer) of a symbol property. More...
M17NFunc | msymbol_get_func (MSymbol symbol, MSymbol key)
| Get the value (function pointer) of a symbol property. More...
MSymbol | mdebug_dump_symbol (MSymbol symbol, int indent)
| Dump a symbol. More...
MSymbol | mdebug_dump_all_symbols (int indent)
| Dump all symbol names. More...

## Variables

MSymbol | Mnil
| Symbol whose name is "nil". More...
MSymbol | Mt
| Symbol whose name is "t". More...
MSymbol | Mstring
| Symbol whose name is "string". More...
MSymbol | Msymbol
| Symbol whose name is "symbol". More...